## Index

### Functions

- update
- update2

## Functions

### update

- update<T>(attributePath: keyof T): UpdateExpressionDefinitionChain
- update(attributePath: string): UpdateExpressionDefinitionChain

- - Defined in dynamo/expression/logical-operator/update.function.ts:21

  Use this method when accesing a top level attribute of a model

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns UpdateExpressionDefinitionChain

- - Defined in dynamo/expression/logical-operator/update.function.ts:26

  Use this method when accessing a nested attribute of a model

  #### Parameters

  - ##### attributePath: string

  #### Returns UpdateExpressionDefinitionChain

### update2

- update2<T, K>(modelConstructor: ModelConstructor<T>, attributePath: K): UpdateExpressionDefinitionChainTyped<T, K>

- - Defined in dynamo/expression/logical-operator/update.function.ts:11

  Use this method when accesing a top level attribute of a model

  #### Type parameters

  - #### T

  - #### K: keyof T

  #### Parameters

  - ##### modelConstructor: ModelConstructor<T>

  - ##### attributePath: K

  #### Returns UpdateExpressionDefinitionChainTyped<T, K>

Generated using TypeDoc